Bug 14511 - kudzu can make APM suspend dysfunctional
Summary: kudzu can make APM suspend dysfunctional
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-24 12:12 UTC by mikpe
Modified: 2014-03-17 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-24 12:12:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mikpe 2000-07-24 12:12:31 UTC
On my newest machine, an ASUS P3B-F mb with a PIII, running
kudzu during boot has the negative effect of disabling APM suspend.

To be precise: the machine does suspend, but only for a fraction
of a second (the monitor is turned off and the suspended led is blinking).
However, the machine then immediately wakes up _as_if_ I had
touched the mouse or keyboard.

I tried different kernel versions (suspecting the APM driver)
and BIOS versions, but nothing helped. Eventually I traced the problem
to kudzu. Suspend works if I tell init to not run kudzu at boot.

I'm pretty sure this wasn't a problem prior to RH 6.2 -- I recall
trying suspend mode last fall when the machine was new, and then
it did work.

Comment 1 Bill Nottingham 2001-02-01 23:20:06 UTC
Adding '-s' to the KUDZU_ARGS in /etc/sysconfig/kudzu
(this is new as of 7.0) should fix this.


Note You need to log in before you can comment on or make changes to this bug.